Subject: Re: [PATCH][VLAN] Merge tree equal tails in vlan_skb_recv

From: Patrick McHardy <[email-masked]>
Date: Fri, 07 Dec 2007 11:25:35 +0100

Pavel Emelyanov wrote:
> There are tree paths in it, that set the skb->proto and then
> perform common receive manipulations (basically call netif_rx()).
> 
> I think, that we can make this code flow easier to understand
> by introducing the vlan_set_encap_proto() function (I hope the 
> name is good) to setup the skb proto and merge the paths calling 
> netif_rx() together.
> 
> Surprisingly, but gcc detects this thing and merges these paths
> by itself, so this patch doesn't make the vlan module smaller.

I already have something similar queued, but your patch is a nice
cleanup on top. I'll merge it into my tree and send it out after
some testing, hopefully today.